gtk3-0.15.10: Binding to the Gtk+ 3 graphical user interface library

Maintainer | gtk2hs-users@lists.sourceforge.net
Stability | provisional
Portability | portable (depends on GHC)
Safe Haskell | None
Language | Haskell98

Graphics.UI.Gtk.Display.LevelBar

Contents

- Detail
- Class Hierarchy
- Types
- Constructors
- Methods
- Attributes

Description

A widget which indicates progress visually

Synopsis

- data LevelBar
- class WidgetClass o => LevelBarClass o
- castToLevelBar :: GObjectClass obj => obj -> LevelBar
- gTypeLevelBar :: GType
- toLevelBar :: LevelBarClass o => o -> LevelBar
- levelBarNew :: IO LevelBar
- levelBarSetMode :: LevelBarClass self => self -> LevelBarMode -> IO ()
- levelBarGetMode :: LevelBarClass self => self -> IO LevelBarMode
- levelBarAddOffsetValue :: (LevelBarClass self, GlibString string) => self -> string -> Double -> IO ()
- levelBarRemoveOffsetValue :: (LevelBarClass self, GlibString string) => self -> string -> IO ()
- levelBarGetOffsetValue :: (LevelBarClass self, GlibString string) => self -> string -> IO Double
- levelBarInverted :: LevelBarClass self => Attr self Bool
- levelBarMaxValue :: LevelBarClass self => Attr self Double
- levelBarMinValue :: LevelBarClass self => Attr self Double
- levelBarValue :: LevelBarClass self => Attr self Double
- levelBarMode :: LevelBarClass self => Attr self LevelBarMode

# Detail

The `LevelBar` is typically used to display level indicator

# Class Hierarchy

    | GObject
    | +----Object
    | +----Widget
    | +----LevelBar

# Types

data LevelBar Source #

#### Instances

Instances details

Eq LevelBar Source # |
Instance details Defined in Graphics.UI.Gtk.Types Methods (==) :: LevelBar -> LevelBar -> Bool Source # (/=) :: LevelBar -> LevelBar -> Bool Source #
Ord LevelBar Source # |
Instance details Defined in Graphics.UI.Gtk.Types Methods compare :: LevelBar -> LevelBar -> Ordering Source # (<) :: LevelBar -> LevelBar -> Bool Source # (<=) :: LevelBar -> LevelBar -> Bool Source # (>) :: LevelBar -> LevelBar -> Bool Source # (>=) :: LevelBar -> LevelBar -> Bool Source # max :: LevelBar -> LevelBar -> LevelBar Source # min :: LevelBar -> LevelBar -> LevelBar Source #
GObjectClass LevelBar Source # |
Instance details Defined in Graphics.UI.Gtk.Types Methods toGObject :: LevelBar -> GObject Source # unsafeCastGObject :: GObject -> LevelBar Source #
LevelBarClass LevelBar Source # |
Instance details Defined in Graphics.UI.Gtk.Types
WidgetClass LevelBar Source # |
Instance details Defined in Graphics.UI.Gtk.Types

class WidgetClass o => LevelBarClass o Source #

#### Instances

Instances details

LevelBarClass LevelBar Source # |
Instance details Defined in Graphics.UI.Gtk.Types

castToLevelBar :: GObjectClass obj => obj -> LevelBar Source #

gTypeLevelBar :: GType Source #

toLevelBar :: LevelBarClass o => o -> LevelBar Source #

# Constructors

levelBarNew :: IO LevelBar Source #

Creates a new `LevelBar`.

# Methods

levelBarSetMode :: LevelBarClass self => self -> LevelBarMode -> IO () Source #

Sets the value of the "mode" property.

levelBarGetMode :: LevelBarClass self => self -> IO LevelBarMode Source #

Returns the value of the "mode" property.

levelBarAddOffsetValue Source #

Arguments

:: (LevelBarClass self, GlibString string) |
=> self |
-> string | `name` - Offset name
-> Double | `value` - Offset position
-> IO () |

Add a new offset marker at the position specified by @value

levelBarRemoveOffsetValue :: (LevelBarClass self, GlibString string) => self -> string -> IO () Source #

Add a new offset marker at the position specified by @value

levelBarGetOffsetValue Source #

Arguments

:: (LevelBarClass self, GlibString string) |
=> self |
-> string |
-> IO Double | returns the value of the offset

Returns the current fraction of the task that's been completed.

# Attributes

levelBarInverted :: LevelBarClass self => Attr self Bool Source #

Level bars normally grow from top to bottom or left to right. Inverted level bars grow in the opposite direction.

Default value: (0)

Since 3.8

levelBarMaxValue :: LevelBarClass self => Attr self Double Source #

The "max-value" property determaxes the maximum value of the interval that can be displayed by the bar.

Allowed values: >= 0

Default value: 1

levelBarMinValue :: LevelBarClass self => Attr self Double Source #

The "min-value" property determines the minimum value of the interval that can be displayed by the bar.

Allowed values: >= 0

Default value: 0

levelBarValue :: LevelBarClass self => Attr self Double Source #

The "value" property determines the currently filled value of the level bar.

Allowed values: >= 0

Default value: 0

levelBarMode :: LevelBarClass self => Attr self LevelBarMode Source #

The "bar-mode" property determines the way LevelBar interprets the value properties to draw the level fill area. Specifically, when the value is LevelBarModeContinuous, LevelBar will draw a single block representing the current value in that area; when the value is LevelBarModeDiscrete, the widget will draw a succession of separate blocks filling the draw area, with the number of blocks being equal to the units separating the integral roundings of "min-value" and "max-value".

Default value: LevelBarModeContinuous